Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class Product2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.Product2

public class Product2 extends Object

Java class for Product2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Product2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PdctCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max70Text"/>
             <element name="UnitOfMeasr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}UnitOfMeasure1Code" minOccurs="0"/>
             <element name="PdctQty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}DecimalNumber" minOccurs="0"/>
             <element name="UnitPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ImpliedCurrencyAndAmount" minOccurs="0"/>
             <element name="PdctAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ImpliedCurrencyAndAmount" minOccurs="0"/>
             <element name="TaxTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="AddtlPdctInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlPdctInf`
`protected BigDecimal`
`pdctAmt`
`protected String`
`pdctCd`
`protected BigDecimal`
`pdctQty`
`protected String`
`taxTp`
`protected UnitOfMeasure1Code`
`unitOfMeasr`
`protected BigDecimal`
`unitPric`

## Constructor Summary

Constructors
Constructor
Description
`Product2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlPdctInf()`
Gets the value of the addtlPdctInf property.
`BigDecimal`
`getPdctAmt()`
Gets the value of the pdctAmt property.
`String`
`getPdctCd()`
Gets the value of the pdctCd property.
`BigDecimal`
`getPdctQty()`
Gets the value of the pdctQty property.
`String`
`getTaxTp()`
Gets the value of the taxTp property.
`UnitOfMeasure1Code`
`getUnitOfMeasr()`
Gets the value of the unitOfMeasr property.
`BigDecimal`
`getUnitPric()`
Gets the value of the unitPric property.
`void`
`setAddtlPdctInf(String value)`
Sets the value of the addtlPdctInf property.
`void`
`setPdctAmt(BigDecimal value)`
Sets the value of the pdctAmt property.
`void`
`setPdctCd(String value)`
Sets the value of the pdctCd property.
`void`
`setPdctQty(BigDecimal value)`
Sets the value of the pdctQty property.
`void`
`setTaxTp(String value)`
Sets the value of the taxTp property.
`void`
`setUnitOfMeasr(UnitOfMeasure1Code value)`
Sets the value of the unitOfMeasr property.
`void`
`setUnitPric(BigDecimal value)`
Sets the value of the unitPric property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pdctCd

protected String pdctCd

### unitOfMeasr

protected UnitOfMeasure1Code unitOfMeasr

### pdctQty

protected BigDecimal pdctQty

### unitPric

protected BigDecimal unitPric

### pdctAmt

protected BigDecimal pdctAmt

### taxTp

protected String taxTp

### addtlPdctInf

protected String addtlPdctInf

## Constructor Details

### Product2

public Product2()

## Method Details

### getPdctCd

public String getPdctCd()
Gets the value of the pdctCd property.

Returns:
  possible object is `String`

### setPdctCd

public void setPdctCd(String value)
Sets the value of the pdctCd property.

Parameters:
  `value` - allowed object is `String`

### getUnitOfMeasr

public UnitOfMeasure1Code getUnitOfMeasr()
Gets the value of the unitOfMeasr property.

Returns:
  possible object is `UnitOfMeasure1Code`

### setUnitOfMeasr

public void setUnitOfMeasr(UnitOfMeasure1Code value)
Sets the value of the unitOfMeasr property.

Parameters:
  `value` - allowed object is `UnitOfMeasure1Code`

### getPdctQty

public BigDecimal getPdctQty()
Gets the value of the pdctQty property.

Returns:
  possible object is `BigDecimal`

### setPdctQty

public void setPdctQty(BigDecimal value)
Sets the value of the pdctQty property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getUnitPric

public BigDecimal getUnitPric()
Gets the value of the unitPric property.

Returns:
  possible object is `BigDecimal`

### setUnitPric

public void setUnitPric(BigDecimal value)
Sets the value of the unitPric property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getPdctAmt

public BigDecimal getPdctAmt()
Gets the value of the pdctAmt property.

Returns:
  possible object is `BigDecimal`

### setPdctAmt

public void setPdctAmt(BigDecimal value)
Sets the value of the pdctAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getTaxTp

public String getTaxTp()
Gets the value of the taxTp property.

Returns:
  possible object is `String`

### setTaxTp

public void setTaxTp(String value)
Sets the value of the taxTp property.

Parameters:
  `value` - allowed object is `String`

### getAddtlPdctInf

public String getAddtlPdctInf()
Gets the value of the addtlPdctInf property.

Returns:
  possible object is `String`

### setAddtlPdctInf

public void setAddtlPdctInf(String value)
Sets the value of the addtlPdctInf property.

Parameters:
  `value` - allowed object is `String`